package com.tutego.insel.jdbc;

import java.sql.*;
import javax.naming.InitialContext;
import javax.sql.DataSource;

public class DBMetaData
{
  public static void main( String[] args ) throws Exception
  {
    Connection con = ((DataSource) new InitialContext().lookup( "TutegoDS" )).getConnection();

    try
    {
      DatabaseMetaData meta = con.getMetaData();
      
      System.out.println( "Produktname der Datannbank: " +
                           meta.getDatabaseProductName() );
      
      System.out.println( "Version der Datenbank: " +
                           meta.getDatabaseProductVersion()  );
      
      System.out.println( "Anzahl erlaubter Verbindungen: " +
                           meta.getMaxConnections() );
      
      System.out.println( "Version des DB-Treibers: " +
                           meta.getDriverVersion() );
      
      System.out.println( "Update im Batchbetrieb: " +
                           meta.supportsBatchUpdates() );
      
      System.out.println( "Gespeicherte Prozeduren: " +
                           meta.supportsStoredProcedures() );
    }
    finally
    {
      con.close ();
    }
  }
}
